package com.realnet.basic.Services;
import com.realnet.basic.Repository.ExpensesRepository;
import com.realnet.basic.Entity.Expenses
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class ExpensesService {
@Autowired
private ExpensesRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Expenses Savedata(Expenses data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Expenses save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Expenses> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Expenses> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Expenses> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Expenses getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Expenses update(Expenses data,Integer id) {
	Expenses old = Repository.findById(id).get();
old.setDescription(data.getDescription());

old.setAmount(data.getAmount());

old.setSelect_category(data.getSelect_category());

final Expenses test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
